Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - GitCredentials

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Git Credentials

Stored Git repository credentials.

Get Git credential by ID

Get a single git credential.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
displayName
required
string

Human-readable name for these credentials.

type
required
string
Enum: "PASSWORD" "SSH"

SSH_KEY or USERNAME_PASSWORD.

username
string

For USERNAME_PASSWORD type.

password
string

Write-only.

createdAt
string <date-time>

Timestamp when the credentials were created (read-only).

publicKey
string

SSH public key (read-only).

id
string <uuid>

System-assigned ID (read-only).

Response samples

Content type
application/json
{
  • "type": "PASSWORD",
  • "displayName": "string",
  • "username": "string",
  • "password": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "publicKey": "string",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Update a Git credential

Update a git credential. (ssh keys cannot be updated!)

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Request Body schema: application/json
required
displayName
required
string

Human-readable name for these credentials.

type
required
string
Enum: "PASSWORD" "SSH"

SSH_KEY or USERNAME_PASSWORD.

username
string

For USERNAME_PASSWORD type.

password
string

Write-only.

createdAt
string <date-time>

Timestamp when the credentials were created (read-only).

publicKey
string

SSH public key (read-only).

id
string <uuid>

System-assigned ID (read-only).

Responses

Response Schema: application/json
displayName
required
string

Human-readable name for these credentials.

type
required
string
Enum: "PASSWORD" "SSH"

SSH_KEY or USERNAME_PASSWORD.

username
string

For USERNAME_PASSWORD type.

password
string

Write-only.

createdAt
string <date-time>

Timestamp when the credentials were created (read-only).

publicKey
string

SSH public key (read-only).

id
string <uuid>

System-assigned ID (read-only).

Request samples

Content type
application/json
{
  • "type": "PASSWORD",
  • "displayName": "string",
  • "username": "string",
  • "password": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "publicKey": "string",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Response samples

Content type
application/json
{
  • "type": "PASSWORD",
  • "displayName": "string",
  • "username": "string",
  • "password": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "publicKey": "string",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Delete a Git credential

Delete a git credential.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

List all Git credentials

Get filtered and paged list of all git credentials.

Authorizations:
bearerAuth
query Parameters
text
string
displayName
string
type
string
Enum: "PASSWORD" "SSH"
page
integer
Default: 1

One-based page index (1..N)

size
integer
Default: 10

The size of the page to be returned

sort
Array of arrays

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Responses

Response Schema: application/json
required
Array of objects (GitCredentialDTO)

List of GitCredentialDTO results for the current page.

last
required
boolean

Whether this is the last page.

number
required
integer <int32>

Current page number (1-based).

size
required
integer <int32>

Requested page size.

totalElements
required
integer <int64>

Total number of matching results across all pages.

totalPages
required
integer <int32>

Total number of pages.

Response samples

Content type
application/json
{
  • "content": [
    • {
      }
    ],
  • "size": 0,
  • "number": 0,
  • "last": true,
  • "totalPages": 0,
  • "totalElements": 0
}

Create a new Git credential

Create a new git credential. For PASSWORD credentials, username and password must be present. For SSH credentials, a new key pair will be generated.

Authorizations:
bearerAuth
Request Body schema: application/json
required
displayName
required
string

Human-readable name for these credentials.

type
required
string
Enum: "PASSWORD" "SSH"

SSH_KEY or USERNAME_PASSWORD.

username
string

For USERNAME_PASSWORD type.

password
string

Write-only.

createdAt
string <date-time>

Timestamp when the credentials were created (read-only).

publicKey
string

SSH public key (read-only).

id
string <uuid>

System-assigned ID (read-only).

Responses

Response Schema: application/json
displayName
required
string

Human-readable name for these credentials.

type
required
string
Enum: "PASSWORD" "SSH"

SSH_KEY or USERNAME_PASSWORD.

username
string

For USERNAME_PASSWORD type.

password
string

Write-only.

createdAt
string <date-time>

Timestamp when the credentials were created (read-only).

publicKey
string

SSH public key (read-only).

id
string <uuid>

System-assigned ID (read-only).

Request samples

Content type
application/json
{
  • "type": "PASSWORD",
  • "displayName": "string",
  • "username": "string",
  • "password": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "publicKey": "string",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Response samples

Content type
application/json
{
  • "type": "PASSWORD",
  • "displayName": "string",
  • "username": "string",
  • "password": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "publicKey": "string",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}